Isi
Indeks 🔎︎

# Carilah Pernyataan

Menetapkan posisi untuk penulisan berikutnya atau membaca dalam berkas yang dibuka dengan pernyataan Buka.

Untuk berkas akses acak, pernyataan Seek mengatur jumlah catatan berikutnya yang akan diakses.

Untuk semua file lain, pernyataan Seek menetapkan posisi byte di mana operasi selanjutnya akan terjadi.

Lihat juga: Buka, Mencari

## Sintaksis:

    Seek[#NomorBerkas], Posisi (As Long)

## Parameter:

FileNumber: Nomor saluran data yang digunakan dalam pernyataan Buka.

Posisi: Posisi untuk tulisan atau bacaan berikutnya. Posisi dapat berupa angka antara 1 dan 2.147.483.647. Menurut jenis file, posisi menunjukkan jumlah catatan (file dalam mode Acak) atau posisi byte (file dalam mode Biner, Output, Tambah atau Input). Byte pertama dalam file adalah posisi 1, byte kedua adalah posisi 2, dan seterusnya.

## Kode kesalahan:

5 Tidak sah dalam pemanggilan prosedur

52 Nama berkas atau angka yang buruk